io.vertx.rxjava.ext.asyncsql

## Class AsyncSQLClient

- java.lang.Object
- - io.vertx.rxjava.ext.asyncsql.AsyncSQLClient

- Direct Known Subclasses:
    MySQLClient, PostgreSQLClient

      public class AsyncSQLClient
      extends Object

  Represents an asynchronous SQL client

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncSQLClient(AsyncSQLClient delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the client and release all resources.
    `void` | `close(Handler<AsyncResult<Void>> whenDone)` Close the client and release all resources.
    `Observable<Void>` | `closeObservable()` Close the client and release all resources.
    `void` | `getConnection(Handler<AsyncResult<SQLConnection>> handler)` Returns a connection that can be used to perform SQL operations on.
    `Observable<SQLConnection>` | `getConnectionObservable()` Returns a connection that can be used to perform SQL operations on.
    `Object` | `getDelegate()`
    `static AsyncSQLClient` | `newInstance(AsyncSQLClient arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncSQLClient

          public AsyncSQLClient(AsyncSQLClient delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

    - #### close

          public void close()

      Close the client and release all resources. Note that closing is asynchronous.

    - #### close

          public void close(Handler<AsyncResult<Void>> whenDone)

      Close the client and release all resources. Call the handler when close is complete.
      Parameters:
        `whenDone` - handler that will be called when close is complete

    - #### closeObservable

          public Observable<Void> closeObservable()

      Close the client and release all resources. Call the handler when close is complete.
      Returns:

    - #### getConnection

          public void getConnection(Handler<AsyncResult<SQLConnection>> handler)

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Parameters:
        `handler` - the handler which is called when the `JdbcConnection` object is ready for use.

    - #### getConnectionObservable

          public Observable<SQLConnection> getConnectionObservable()

      Returns a connection that can be used to perform SQL operations on. It's important to remember to close the connection when you are done, so it is returned to the pool.
      Returns:

    - #### newInstance

          public static AsyncSQLClient newInstance(AsyncSQLClient arg)

Copyright © 2016. All rights reserved.